Package org.spongepowered.asm.service

## Interface ITransformer

All Known Subinterfaces:
  `ILegacyClassTransformer`, `ITreeClassTransformer`

All Known Implementing Classes:
  `TreeTransformer`

    public interface ITransformer

Base interface for transformer types

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()` Get the identifier for this transformer, usually the class name but for wrapped transformers this is the class name of the wrapped transformer
`boolean` `isDelegationExcluded()` Get whether this transformer is excluded from delegation.

### Method Detail

#### getName

    java.lang.String getName()

Get the identifier for this transformer, usually the class name but for wrapped transformers this is the class name of the wrapped transformer

Returns:
  transformer's identifying name

#### isDelegationExcluded

    boolean isDelegationExcluded()

Get whether this transformer is excluded from delegation. Some transformers (such as the mixin transformer itself) should not be included in the delegation list because they are re-entrant or do not need to run on incoming bytecode.

Returns:
  true if this transformer should be excluded from the transformer delegation list